<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'expenses';

		/* data for selected record, or defaults if none is selected */
		var data = {
			matricule: <?php echo json_encode(array('id' => $rdata['matricule'], 'value' => $rdata['matricule'], 'text' => $jdata['matricule'])); ?>,
			client: <?php echo json_encode($jdata['client']); ?>,
			date_recrutement: <?php echo json_encode($jdata['date_recrutement']); ?>,
			fonction: <?php echo json_encode($jdata['fonction']); ?>,
			division: <?php echo json_encode($jdata['division']); ?>,
			service: <?php echo json_encode($jdata['service']); ?>,
			direction: <?php echo json_encode($jdata['direction']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for matricule */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'matricule' && d.id == data.matricule.id)
				return { results: [ data.matricule ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for matricule autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'matricule' && d.id == data.matricule.id) {
				$j('#client' + d[rnd]).html(data.client);
				$j('#date_recrutement' + d[rnd]).html(data.date_recrutement);
				$j('#fonction' + d[rnd]).html(data.fonction);
				$j('#division' + d[rnd]).html(data.division);
				$j('#service' + d[rnd]).html(data.service);
				$j('#direction' + d[rnd]).html(data.direction);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

